Bug 192068 - selinux denial of pm-hibernate while going into hibernate
selinux denial of pm-hibernate while going into hibernate
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-05-17 08:09 EDT by David Baron
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-28 16:04:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-05-17 08:09:27 EDT
Description of problem:  Doing a hibernate (System -> Shut Down... -> Suspend)
causes an selinux denial to appear in audit.log.  I don't know of any symptoms
that this causes, but it's possible that it could cause some.

Version-Release number of selected component (if applicable):

How reproducible:  Every time, I think, judging from the number in my audit log.

Steps to Reproduce:
1. Use targeted selinux policy in enforcing mode.
2. System -> Shut Down... -> Suspend
3. look at audit.log after resume.

Actual results:  /var/log/audit/audit.log contains:
type=AVC msg=audit(1147817989.047:882): avc:  denied  { getattr } for  pid=14974
comm="pm-hibernate" name="vmlinuz-2.6.16-1.2111_FC5" dev=hda1 ino=13
scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:boot_t:s0
type=SYSCALL msg=audit(1147817989.047:882): arch=40000003 syscall=195 success=no
exit=-13 a0=9382498 a1=bfd7cb38 a2=4d9bdff4 a3=9382470 items=1 pid=14974
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="pm-hibernate" exe="/bin/bash"
type=AVC_PATH msg=audit(1147817989.047:882):  path="/boot/vmlinuz-2.6.16-1.2111_FC5"
type=CWD msg=audit(1147817989.047:882):  cwd="/usr/share/hal/scripts"
type=PATH msg=audit(1147817989.047:882): item=0
name="/boot/vmlinuz-2.6.16-1.2111_FC5" flags=1  inode=13 dev=03:01 mode=0100644
ouid=0 ogid=0 rdev=00:00

Expected results:  no denials

Additional information:  this is *not* a regression from the most recent policy
changes; I was seeing it before those as well.
Comment 1 Daniel Walsh 2006-05-23 16:30:48 EDT
Fixed in selinux-policy-targeted-2.2.42-2.fc5
Comment 2 Daniel Walsh 2007-03-28 16:04:15 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.